package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * Mv对象 mv
 *
 * @author hlf
 * @date 2021-08-04
 */
public class Mv extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long mvNo;

    private Long wturNo;

    private Long oftype;

    private String name;

    private String ref;

    private Long presence;

    private Double instmag;

    private Double mag;

    private Double coeff;

    private Long range;

    private Long q;

    private Date t;

    private Long measurementtypeNo;

    private Long statTag;

    private Long unifiedPoint;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setMvNo(Long mvNo) {
        this.mvNo = mvNo;
    }

    public Long getMvNo() {
        return mvNo;
    }

    public void setWturNo(Long wturNo) {
        this.wturNo = wturNo;
    }

    public Long getWturNo() {
        return wturNo;
    }

    public void setOftype(Long oftype) {
        this.oftype = oftype;
    }

    public Long getOftype() {
        return oftype;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getRef() {
        return ref;
    }

    public void setPresence(Long presence) {
        this.presence = presence;
    }

    public Long getPresence() {
        return presence;
    }

    public void setInstmag(Double instmag) {
        this.instmag = instmag;
    }

    public Double getInstmag() {
        return instmag;
    }

    public void setMag(Double mag) {
        this.mag = mag;
    }

    public Double getMag() {
        return mag;
    }

    public void setCoeff(Double coeff) {
        this.coeff = coeff;
    }

    public Double getCoeff() {
        return coeff;
    }

    public void setRange(Long range) {
        this.range = range;
    }

    public Long getRange() {
        return range;
    }

    public void setQ(Long q) {
        this.q = q;
    }

    public Long getQ() {
        return q;
    }

    public void setT(Date t) {
        this.t = t;
    }

    public Date getT() {
        return t;
    }

    public void setMeasurementtypeNo(Long measurementtypeNo) {
        this.measurementtypeNo = measurementtypeNo;
    }

    public Long getMeasurementtypeNo() {
        return measurementtypeNo;
    }

    public void setStatTag(Long statTag) {
        this.statTag = statTag;
    }

    public Long getStatTag() {
        return statTag;
    }

    public Long getUnifiedPoint() {
        return unifiedPoint;
    }

    public void setUnifiedPoint(Long unifiedPoint) {
        this.unifiedPoint = unifiedPoint;
    }

    private String windplantName;

    private String wturName;

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getWturName() {
        return wturName;
    }

    public void setWturName(String wturName) {
        this.wturName = wturName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("mvNo", getMvNo())
                .append("wturNo", getWturNo())
                .append("oftype", getOftype())
                .append("name", getName())
                .append("ref", getRef())
                .append("presence", getPresence())
                .append("instmag", getInstmag())
                .append("mag", getMag())
                .append("coeff", getCoeff())
                .append("range", getRange())
                .append("q", getQ())
                .append("t", getT())
                .append("measurementtypeNo", getMeasurementtypeNo())
                .append("statTag", getStatTag())
                .toString();
    }
}
